## osso-systemui-tklock 0.3.1.1+0cssu1

=== Makefile ===
all: libsystemuiplugin_tklock.so

clean:
	$(RM) libsystemuiplugin_tklock.so

install: libsystemuiplugin_tklock.so
	install -d $(DESTDIR)/usr/lib/systemui
	install -m 644 libsystemuiplugin_tklock.so $(DESTDIR)/usr/lib/systemui
	install -d $(DESTDIR)/usr/share/themes/alpha/backgrounds
	install -m 644 share/themes/alpha-lockslider-portrait.png $(DESTDIR)/usr/share/themes/alpha/backgrounds/lockslider-portrait.png

libsystemuiplugin_tklock.so: osso-systemui-tklock.c eventeater.c
	$(CC) $^ -o $@ -shared -Wall -I./include $(CFLAGS) $(LDFLAGS) $(shell pkg-config --libs --cflags osso-systemui hildon-1 gconf-2.0 alarm libnotify gtk+-2.0 dbus-1 glib-2.0 sqlite3) -ltime -lhildon-plugins-notify-sv -L/usr/lib/hildon-desktop -Wl,-soname -Wl,$@ -Wl,-rpath -Wl,/usr/lib/hildon-desktop

.PHONY: all clean install

## osso-systemui-tklock 0.3.1.0+0cssu0

=== debian/changelog ===
osso-systemui-tklock (0.3.1.0+0cssu0) unstable; urgency=low

  * Add support for autorotation
  * Add portrait background for alpha theme
  * Enable autorotation only if gconf key /system/systemui/tklock/auto_rotation is true
  * Fix memory leak, unref gconf client

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Wed, 09 Jan 2013 17:55:34 +0200

osso-systemui-tklock (0.3.0.3+0cssu0) unstable; urgency=low

  * Don't destroy event eater window on screen dimmed->screen unlocked transition

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Wed, 09 Jan 2013 01:04:16 +0200

osso-systemui-tklock (0.3.0.2+0cssu0) unstable; urgency=low

  * Add one input mode handling (event eater)

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Wed, 09 Jan 2013 00:25:34 +0200

osso-systemui-tklock (0.3.0.1+0cssu0) unstable; urgency=low

  * Fix missing background image when top application is in portrait

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Sun, 16 Dec 2012 23:16:45 +0200

osso-systemui-tklock (0.3.0.0+0cssu0) unstable; urgency=low

  * Initial release

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Sun, 25 Nov 2012 14:37:23 +0200

=== debian/control ===
Source: osso-systemui-tklock
Section: misc
Maintainer: Ivaylo Dimmitrov <freemangordon@abv.bg>
Build-Depends: debhelper (>= 5), pkg-config, libhildon1-dev, libgconf2-dev, libalarm-dev,
 libnotify-dev, libgtk2.0-dev, libdbus-1-dev, libglib2.0-dev, libtime-dev, hildon-plugins-notify-sv, libsqlite3-dev, osso-systemui-dev
Priority: optional
Standards-Version: 3.7.2

Package: osso-systemui-tklock
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, osso-systemui (>= 0.2.0), osso-powerup-shutdown-l10n-mr0 | osso-powerup-shutdown-l10n-mr, hildon-libs-l10n-mr | hildon-libs-l10n-mr0, osso-clock-l10n-mr | osso-clock-l10n-mr0
Description: Touch screen and keypad lock UI
 This package contains the touch screen and keypad lock UI.

Package: osso-systemui-tklock-dbg
Architecture: any
Section: devel
Depends: osso-systemui-tklock (= ${Source-Version})
Description: Touch screen and keypad lock UI debug symbls
 This package contains the touch screen and keypad lock UI debug symbls

Package: osso-systemui-tklock-dev
Architecture: all
Section: devel
Depends: ${shlibs:Depends}
Description: Touch screen and keypad lock UI development files
 This package contains the touch screen and keypad lock UI development files

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.

CFLAGS := -ggdb

# Use thumb mode if it enabled.
ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -mthumb
endif

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

build:
	dh_testdir
	CFLAGS="$(CFLAGS)" $(MAKE)

clean:
	dh_testdir
	dh_testroot
	$(MAKE) clean
	dh_clean

binary: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) DESTDIR=$(PWD)/debian/osso-systemui-tklock/ install
	install -d debian/osso-systemui-tklock-dev/usr/include/systemui/
	install -m644 include/systemui/tklock-dbus-names.h debian/osso-systemui-tklock-dev/usr/include/systemui/
	dh_install
	dh_installchangelogs
	dh_installdocs
	dh_link
	dh_strip --dbg-package=osso-systemui-tklock-dbg
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

.PHONY: build clean binary

## osso-systemui-tklock 0.3.1.1+0cssu1

=== debian/changelog ===
osso-systemui-tklock (0.3.1.1+0cssu1) unstable; urgency=low

  * Update parameters for window hide/show functions

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Sun, 25 Oct 2015 00:04:41 -0400

osso-systemui-tklock (0.3.1.1+0cssu0) unstable; urgency=low

  * Fix https://bugs.maemo.org/12701 - ball moving when touching anywhere
    along bar-slide 

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Thu, 18 Jul 2013 11:49:54 +0300

## osso-systemui-tklock 0.3.1.1+0cssu2

=== debian/changelog ===
osso-systemui-tklock (0.3.1.1+0cssu2) unstable; urgency=low

  * Update parameters for window hide/show functions, again
  * depend on RE osso-systemui-dev package version

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Thu, 27 Oct 2016 17:55:33 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Maintainer: Ivaylo Dimmitrov <freemangordon@abv.bg>
 Build-Depends: debhelper (>= 5), pkg-config, libhildon1-dev, libgconf2-dev, libalarm-dev,
- libnotify-dev, libgtk2.0-dev, libdbus-1-dev, libglib2.0-dev, libtime-dev, hildon-plugins-notify-sv, libsqlite3-dev, osso-systemui-dev
+ libnotify-dev, libgtk2.0-dev, libdbus-1-dev, libglib2.0-dev, libtime-dev, hildon-plugins-notify-sv, libsqlite3-dev, osso-systemui-dev (>= 0.2.0)
 Priority: optional
 Standards-Version: 3.7.2

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 # Use thumb mode if it enabled.
 ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -mthumb
+	CFLAGS += -mthumb -fPIC
 endif
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
